package com.xhpc.evcs.dto;

import com.fasterxml.jackson.annotation.*;

import java.util.HashMap;
import java.util.Map;

@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE,
        setterVisibility = JsonAutoDetect.Visibility.NONE, creatorVisibility = JsonAutoDetect.Visibility.NONE)
/**
 * 推送停止充电结果返回数据dto类
 */
public class ChargeResultResponse {

    @JsonProperty("StartChargeSeq")
    String startChargeSeq;
    @JsonProperty("SuccStat")
    Integer succStat;
    @JsonProperty("FailReason")
    Integer failReason;

    @JsonProperty("StartChargeSeq")
    public String getStartChargeSeq() {

        return startChargeSeq;
    }

    @JsonProperty("StartChargeSeq")
    public void setStartChargeSeq(String startChargeSeq) {

        this.startChargeSeq = startChargeSeq;
    }

    @JsonProperty("SuccStat")
    public Integer getSuccStat() {

        return succStat;
    }

    @JsonProperty("SuccStat")
    public void setSuccStat(Integer succStat) {

        this.succStat = succStat;
    }

    @JsonProperty("FailReason")
    public Integer getFailReason() {

        return failReason;
    }

    @JsonProperty("FailReason")
    public void setFailReason(Integer failReason) {

        this.failReason = failReason;
    }

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }

}
